Bug 78348 - a11y: there should be a shortcut key for selecting elements on the modeling diagram
a11y: there should be a shortcut key for selecting elements on the modeling d...
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: General Diagram
5.x
PC Windows XP
: P1 (vote)
: TBD
Assigned To: _ jyothivasa
issues@uml
Keyboard Access
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-19 22:06 UTC by bugbridge
Modified: 2006-11-09 14:35 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugbridge 2006-06-19 22:06:10 UTC
Original status: 1-Dispatched; Suggested Status: NEW

These items should be added to the Keywords: A11Y
Original submitter: petersl

Description:
Coke TPR2/Coco/Buzz

There's no way to select modeling elements in the modeling diagram using just
the keyboard.

Description (Entry 2):
shortcut keys for element selection should be added to online help also.
Comment 1 Sergey Petrov 2006-08-29 07:51:01 UTC
It may be a duplicate for 'Tab order' issue or to be a separate issue for
example CTRL-N - next elemnt, CTRL-SHIFT-N - next elemnt of the same tipe etc in
order of placement, but at least one of issues isn't RFE and I prefer to leave
both as Defects until at least one will be fixed, now we have no accessibility
in diagram editor.
Comment 2 Andrew Korostelev 2006-08-29 10:58:18 UTC
see also issue 78311
Comment 3 _ jyothivasa 2006-11-08 23:01:44 UTC
Tab/Shift-tab for nodes, Shift-UpArrow/DownArrow for Edges
Comment 4 Andrew Korostelev 2006-11-09 14:35:39 UTC
verified in ide-coco-061108_9


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo